ProgramRenderer = class('ProgramRenderer', EntityRender)

function ProgramRenderer:initialize( )
    --EntityRender.initialize(self)
end

function ProgramRenderer:setProgramController( programController )
    self.programController = programController
end

function ProgramRenderer:render()
    if self.programController.state == STATE_INSIDE_PORT then return false end
    local localPosition  = self.programController.position
    local systemPosition = self.programController.systemController.position 
    local bounds = self.programController:getBoundingBox()

    if self.programController:getSelected() then
        love.graphics.setColor(0,255,0)
    else
        love.graphics.setColor(19,50,120)
    end
    love.graphics.rectangle( "fill", bounds.x1, bounds.y1, bounds.width, bounds.height )
    
    return true
end